PUPPET-QUEUE(8)

NAME
puppet-queue - Queuing daemon for asynchronous storeconfigs

SYNOPSIS
Retrieves serialized storeconfigs records from a queue and processes them in order.

USAGE
puppet queue [-d|--debug] [-v|--verbose]

DESCRIPTION
This application runs as a daemon and processes storeconfigs data, retrieving the data from a stomp server message queue and writing it to a database.

For more information, including instructions for properly setting up your puppet master and message queue, see the documentation on setting up asynchronous storeconfigs at: http://projects.puppetlabs.com/projects/1/wiki/Using_Stored_Configuration

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument. For example, 'server' is a valid configuration parameter, so you can specify '--server servername' as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet queue with '--genconfig'.

--debug
    Enable full debugging.

--help
    Print this help message

--verbose
    Turn on verbose reporting.

--version
    Print the puppet version number and exit.

EXAMPLE
$ puppet queue

AUTHOR
Luke Kanies

COPYRIGHT
Copyright (c) 2011 Puppet Labs, LLC Licensed under the Apache 2.0 License